Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.context.symbol.internal.provisional
Interface IComponentSymbol

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IDescribedInDetail, IInstanceSymbol, IObjectSymbol, ISymbol, org.eclipse.emf.common.notify.Notifier

public interface IComponentSymbol
extends IInstanceSymbol, IDescribedInDetail

A representation of the model object 'IComponent Symbol'.

See Also:
  `SymbolPackage.getIComponentSymbol()`

Field Summary
`static java.lang.String` | `copyright`

Fields inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`EMPTY_SYMBOL_ARRAY`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IInstanceSymbol
`getRuntimeSource, getTypeDescriptor, isTypeResolved, setRuntimeSource`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IObjectSymbol
`isReadable, isWritable, setReadable, setTypeDescriptor, setWritable`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.ISymbol
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.internal.provisional.IDescribedInDetail
`getDetailedDescription, setDetailedDescription`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD